%global git_ver 817b780
Name:           kf5-kmix
Version:        4.96.0~%{git_ver}
Release:        1
Summary:        Sound Mixer
License:        GPL-2.0+
Group:          Productivity/Multimedia/Sound/Mixers
Url:            http://www.kde.org
Source:         kmix-%{git_ver}.tar.bz2
Patch0:         kmix5-build.patch
BuildRequires:  alsa-lib-devel
BuildRequires:  extra-cmake-modules
BuildRequires:  glib2-devel
BuildRequires:  kf5-rpm-macros
BuildRequires:  extra-cmake-modules
BuildRequires:  kf5-kconfigwidgets-devel
BuildRequires:  kf5-kdbusaddons-devel
BuildRequires:  kf5-kdelibs4support-devel
BuildRequires:  kf5-kcmutils-devel
BuildRequires:  kf5-kio-devel
BuildRequires:  kf5-kxmlgui-devel
BuildRequires:  kf5-ki18n-devel
BuildRequires:  kf5-filesystem
BuildRequires:  kf5-kglobalaccel-devel
BuildRequires:  kf5-kiconthemes-devel
BuildRequires:  libcanberra-devel
BuildRequires:  pulseaudio-libs-devel
BuildRequires:  phonon-qt5-devel
BuildRequires:  desktop-file-utils
BuildRequires:  qt5-qtbase-devel
Conflicts:      kmix
#BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
KDE's full featured mini mixer

%prep
%setup -q -n kmix
#patch0 -p1

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kf5} -DKMIX_KF5_BUILD=1 ..
popd

make %{?_smp_mflags} -C %{_target_platform}

%install
%make_install -C %{_target_platform}


%post
/sbin/ldconfig
/usr/bin/update-desktop-database

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc COPYING*
%dir %{_kf5_datadir}/kmix/
%{_kf5_bindir}/kmix*
%{_kf5_libdir}/libkdeinit5_kmix.so
%{_kf5_libdir}/libkdeinit5_kmixctrl.so
%{_kf5_qtplugindir}/libkded_kmixd.so
%{_kf5_datadir}/applications/*kmix*.desktop
%{_qt5_settingsdir}/autostart/*kmix*.desktop
%{_kf5_datadir}/dbus-1/interfaces/org.kde.kmix.*
%{_kf5_datadir}/kservices5/*.desktop
%{_kf5_datadir}/kservices5/kded/*.desktop
%{_kf5_datadir}/kmix/kmixui.rc
%{_kf5_datadir}/kmix/*/*
%{_kf5_datadir}/icons/hicolor/*/*/*

%changelog
* Thu Oct 16 2014 Rajeesh K V <rajeesh@inflo.ws> 4.96.0~817b780-1
- Update

* Tue Aug 26 2014 Rajeesh K V <rajeesh@inflo.ws> 4.95.9~a000509-1
- Initial KF5 port
